LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataSink Interface Reference

is a container for sequences of data. More...

`import"XDataSink.idl";`

Inheritance diagram for XDataSink:

## Public Member Functions
void | setData ([in] sequence< XLabeledDataSequence > aData)
| sets new data sequences. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a container for sequences of data.

With this interface data can only be written to.

If you want to be able to also read the data set here, your component must also implement XDataSource.

## Member Function Documentation

## ◆ setData()

void setData | ( | [in] sequence< XLabeledDataSequence > | aData | ) |

sets new data sequences.

The elements set here must support the service DataSequence.

If the data consist only of floating point numbers (double values), the instances set here should also support the service NumericalDataSequence.

If the data consist only of strings, the instances set here should also support the service TextualDataSequence.

If one of the derived services is supported by one element of the sequence, it should be available for all elements in the sequence.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XDataSink.idl